WordPress.org

Forums

NextGEN Gallery
[resolved] Problem with the mapping galleries (16 posts)

  1. Danchee
    Member
    Posted 1 year ago #

    Hello

    On my site, there is a problem with the mapping galleries.
    During the last 1.5 years everything worked well, but recently instead of galleries on the site displays this:

    no images were found
    ; if (d.getElementById(id)) {return;} js = d.createElement(s); js.id = id; js.src = "//connect.facebook.net/ru_RU/all.js#xfbml=1&appId="; fjs.parentNode.insertBefore(js, fjs); }(document, 'script', 'facebook-jssdk'));

    I use embed code a galleries in the page:

    [nggallery id=20[gallery class="gallery2"]

    WordPress is updated regularly, plugins too. What could be the problem?

    I do not understand English very well, please help

  2. Danchee
    Member
    Posted 1 year ago #

    NextGEN Gallery by Photocrati 2.0.40
    NextGEN FlashViewer 1.3
    Lightbox Plus ColorBox 2.6

  3. jusgriff
    Member
    Posted 1 year ago #

    Hi Danchee, your question is marked as resolved. Would you mind sharing what was causing the issue and what the solution was?

  4. Danchee
    Member
    Posted 1 year ago #

    Yes, I rolled back version of the plugin. Gallery plugin was version 2.0.40, I put back version 1.9.13 - it is most stable.

  5. jusgriff
    Member
    Posted 1 year ago #

    Ok, sorry to hear you had to roll back. Hopefully youl'l be able to upgrade in the near future. if your site is like an e-commerce website or performs some critical function then a good idea would be to setup a testing/development site. If you are familiar with installing wordpress the simplest way to do this is to create another folder in the root of your install, create another database, and then install wordpress in the test folder. so your test site would be example.com/test Then you can just do an export of your content and import it into the test site.

    There you can test out new plugins and features before updating them to your mission critical site. Sometimes it's also a good idea to wait awhile before upgrading a plugin when a new version of a major plugin comes out that you absolutely rely on. (unless it's a security upgrade of course!) If it's just new features, and u dont have to have those features then wait at least a couple days, check the forums and to see if others encounter anyone encounters any issues and once the coast looks clear... run an update. All the best :)

  6. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @Danchee - I'm not certain where this shortcode was coming from [nggallery id=20[gallery class="gallery2"] as I have never seen that before and I would strongly suspect based on its structure to not work.

    The rest of the error message appears to be pointing to another plugin (or your theme) that is using Facebook connect ... NextGEN Gallery does not use that code.

    I'm happy your site is working for you but I do not necessarily believe it was the current NextGEN Gallery that was the issue on its own as "NextGEN FlashViewer" has not been updated in 5 years and may be playing a part in the problem you saw.

    Thanks!

    - Cais.

  7. jusgriff
    Member
    Posted 1 year ago #

    @Cais, yes I agree that shortcode does look a bit odd especially with the second open square bracket in it! @Danchee are you sure you typed the shortcode corecctly? And maybe it is the outdated plugin now breaking.

    If you cant disable all plugins thus "disabling" your site, then setting up the fresh test install of WP with the three plugins you are using then testing them individually and together could help you to narrow down the issue.

  8. Danchee
    Member
    Posted 1 year ago #

    @photocrati, @jusgriff
    I used the short code during 1,5 years and gallery are working.
    Then I updated the plugin to version 2.0.40 - all galleries has stopped working. But when I rolled back version of the plugin - gallery again works fine with this code, I did not change it

  9. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @Danchee - Can you provide a specific example of one of these shortcode structures you are using?

    To the best of our knowledge all NextGEN Legacy shortcode structures were translated into the current NextGEN Gallery so if we missed one, or a particular parameter we would appreciate knowing what that is so we can look into correcting it.

    Thanks!

    - Cais.

  10. Danchee
    Member
    Posted 1 year ago #

    @photocrati

    I use this:

    [nggallery id=20[gallery class="gallery2"]

  11. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @Danchee - As I noted before, that shortcode will not work. If it was working before then it was an unintentional working "bug".

    Can you explain what it is suppose to be doing so I can look into how that functionality might be reproduced.

    - Cais.

  12. Danchee
    Member
    Posted 1 year ago #

    @photocrati

    I do not know why is not working on the version 2.0.40. Now I have a version 1,9 and all works correctly

  13. photocrati
    Member
    Plugin Author

    Posted 1 year ago #

    @Danchee - I can appreciate that you are seeing it working in NextGEN Legacy, but I still think the shortcode structure is wrong and it should never have worked to begin with.

    Would you be able to share a link to the specific post or page where you are using that shortcode? I would really like to see it working and try to decipher how it actually can be working.

    Thanks!

    - Cais.

  14. Danchee
    Member
    Posted 1 year ago #

    @photocrati

    Here is some pages on my site, where I use this short code [nggallery id=х [gallery class="gallery2"] :
    http://danchee.ru/project365/
    http://danchee.ru/painting/
    http://danchee.ru/drawing/
    http://danchee.ru/design/

  15. tizz
    Member
    Posted 1 year ago #

    @Danchee My idea is that the - [nggallery id=х - part in the [nggallery id=х [gallery class="gallery2"] shortcode is not taken into account, that means it is ignored. Probably only the independent [gallery class="gallery2"] part make it works because you have a third party plugin (Lightbox Plus ColorBox v2.6/1.3.32), which apparently works with Nextgen legacy, not with the current Nextgen version.

  16. Danchee
    Member
    Posted 1 year ago #

    @photocrati
    I know nothing about this

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • NextGEN Gallery
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic